package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 会话历史记录表
 * @TableName ir_session_history
 */
@TableName(value ="ir_session_history", schema = "interro_robot")
@Data
public class IrSessionHistory implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 所属会话ID
     */
    private String sessionId;

    /**
     * 用户问题
     */
    private String userQuestion;

    /**
     * 用户语音ID(关联语音表ID)
     */
    private String userQuestionVideoId;

    /**
     * 回答内容
     */
    private String answer;

    /**
     * 回答音频ID
     */
    private String answerVoiceId;

    /**
     * 回答文件ID,支持多个文件,用;分割
     */
    private String answerFileId;

    /**
     * 匹配知识库ID
     */
    private String matchKnowledgeId;

    /**
     * 提问用户ID
     */
    private String userId;

    /**
     * 阈值
     */
    private BigDecimal threshold;

    /**
     * (原因 1信息错误 2答非所问 3其他),只有不满意时触发
     */
    private Integer scoreCause;

    /**
     * 应答时间
     */
    private LocalDateTime answerTime;

    /**
     * 处理状态(1未处理 2已处理)
     */
    private Integer dealState;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}